For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet Npt Files
      • POSTUpload File To Non Project Tasks
LogoLogo
SupportContact salesStart free trial
API ReferenceNpt Files

Get Npt Files

GET
https://api.projectmanager.com/api/data/non-project-tasks/:taskId/files
GET
/api/data/non-project-tasks/:taskId/files
$curl https://api.projectmanager.com/api/data/non-project-tasks/taskId/files \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "name": "string",
17 "url": "string",
18 "createDate": "2024-01-15T09:30:00Z",
19 "fileType": "string",
20 "fileTypeLabel": "string",
21 "size": 1
22 }
23 ]
24}
retrieves Npt files
Was this page helpful?
Previous

Upload File To Non Project Tasks

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The reference to the Npt

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.